<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.mall.mapper.CouponMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="couponResultMap" type="org.springblade.modules.mall.entity.Coupon">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="preferential_type" property="preferentialType"/>
        <result column="type" property="type"/>
        <result column="business_scene" property="businessScene"/>
        <result column="title" property="title"/>
        <result column="start_time" property="startTime"/>
        <result column="end_time" property="endTime"/>
        <result column="discount_ratio" property="discountRatio"/>
        <result column="full_reduction" property="fullReduction"/>
        <result column="discount_amount" property="discountAmount"/>
    </resultMap>


    <select id="selectCouponPage" resultMap="couponResultMap">
        select * from biz_coupon where is_deleted = 0
    </select>

</mapper>
